Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.runtime
Class MASConsoleLogFormatter

    java.lang.Object
      java.util.logging.Formatter
          jason.runtime.MASConsoleLogFormatter

    public class MASConsoleLogFormatter

extends java.util.logging.Formatter

Default formatter for Jason output.

Constructor Summary
`MASConsoleLogFormatter()`

Method Summary
`java.lang.String` | `format(java.util.logging.LogRecord l)`
`static java.lang.String` | `getAgName(java.util.logging.LogRecord l)`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MASConsoleLogFormatter

    public MASConsoleLogFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord l)

  Specified by:
    `format` in class `java.util.logging.Formatter`

### getAgName

    public static java.lang.String getAgName(java.util.logging.LogRecord l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD